# 项目相关配置
ruoyi:
  # 名称
  name: ShareSpace
  # 版本
  version: 3.8.8
  # 版权年份
  copyrightYear: 2024
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: D:/ruoyi/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math
  # 是否开启测试模式（true开启，false关闭，测试模式下支付地址不同）
  isTest: true
  privateKeyPath: D:/wxpay/ctyx/apiclient_key.pem

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8089
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: false
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 1
    # 密码
    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 65535000

## MyBatis配置
#mybatis:
#  # 搜索指定包别名
#  typeAliasesPackage: com.ruoyi.**.domain
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations: classpath*:mapper/**/*Mapper.xml
#  # 加载全局的配置文件
#  configLocation: classpath:mybatis/mybatis-config.xml
# MyBatis Plus配置
mybatis-plus:
  # 搜索指定包别名
  typeAliasesPackage: com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# 阿里云短信
aliyun:
  accessKeyId: LTAI5tS7bUhRvjcTy4yJkagK
  accessKeySecret: eQJsruUAvFfJblHZJ50QyiALCSZeRK
  signName: 创享电动车
  # 验证码模版id  您名下有一笔租车订单已归还，订单金额："+ amount +"元。
  templateCode: SMS_470225045
  # 您有一笔订单：${orderNo}，用户已付款，可在小程序管理端查看。
  templateCode2: SMS_470585077
  # 用户${name}，发起押金提现申请，请尽快审核！
  templateCode3: SMS_470400077
  # 您的验证码为：${code}，请勿泄露于他人！
  templateCode4: SMS_470385109
  # 提现申请时，发送的手机号 13376970966
  phone: 18650502300
# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# 七牛云配置
qiniu:
  # 七牛云key
  accessKey: MI4PDg9LYWXJyahzx5ec6-Ih0YNwQhew_BQUhttS
  # 七牛云密钥
  secretKey: Lk3fHHEnJuf0jD_Zte1xhtv7BTvjvmaWVCKd7O0J
  # 七牛云命名空间
  bucket: autosprout
  # 过期时间（秒）
  expireSeconds: 60000
  # 七牛云GET请求域名
  domain: https://lxnapi.ccttiot.com

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
# 锁设置
lock:
  # 锁前缀
  prefix: sm-lock
  # 过期时间
  timeout: 60
  # 重试次数
  retry: 3
# 智能电表配置
sm:
  # 物联网平台地址
  iotHost: https://iot-api.heclouds.com
  # 产品id 智能电表
  #  productId: SnDlte5gPh
  # 新的id
  productId: 6EX6t0UH7g
  # 版本号 签名算法版本
  version: 2020-05-29
  # 用户资源信息  用户id
  resourceName: userid/143831
  # iot秘钥
  accessKey: dJqF0qYhUbK/o1Pr9I5qxNoP14FlJLC+BFK2ZTjUX+lnKwoNYvBYsM/7Xu1ERIzSkUoxVkP/N1RMvGlBKMoBtA==
  # 超时响应时间（秒）
  timeout: 10
  # token过期时间
  daysToExpire: 100
  # 推送消息token
  token: tVpNdGKrAFHfKZNgpIWQfZukrcYHNfFM
  # 提现配置
  withdraw:
    password:
      enable: false
#iot:
#  iotUrl: https://iot-api.heclouds.com/datapoint
#  # 产品id  电动车
#  productId: 796mCwPk0F
#  # 版本号 签名算法版本
#  version: 2020-05-29
#  # 用户资源信息  用户id
#  resourceName: userid/143831
#  # iot秘钥
#  accessKey: dJqF0qYhUbK/o1Pr9I5qxNoP14FlJLC+BFK2ZTjUX+lnKwoNYvBYsM/7Xu1ERIzSkUoxVkP/N1RMvGlBKMoBtA==
#  # 超时响应时间（秒）
#  timeout: 5
#  # token过期时间
#  daysToExpire: 100
#  # 推送消息token
#  token: JZWgouXXNcgTbxCyRCLKbQkKQMhyUrfL
#  # 创建设备地址
#  deviceUrl: https://iot-api.heclouds.com/device/create
geo:
  # 高德地图key  web服务  手续费
  key: 834f1f029671d84272554528311ff0f1
wx:
  appid: wx38be729b2bb6de33
  appSecret: 51f5d43c1f6814dd5cd4f0eef4b48a70
  transfer:
    # 微信小程序id
    appId: ${wx.appid}
    # 商户id
    merchantId: 1676202154
    # apiV3密钥
    apiV3Key: 49819e0f0abdb2df3246f7b27f264d75
    # 密钥所在位置
    privateKeyPath: D:/wxpay/cs/apiclient_key.pem
    # 证书序列号
    merchantSerialNumber: 6AD69237C0F22A9AE51A64F1927E3A0962AC1FB0
    # 转账回调地址
    transferNotifyUrl: https://kg.chuangtewl.com/prod-api/app/pay/notify/wx/transfer
e:
  verifyUrl: https://zidv2.market.alicloudapi.com/idcheck/Post
  appcode: 32b6c6445b1a42ed862dd4202392c47d
  password: admin12311111
yp:
  apikey: 69d42dc4f806b9cbd5de48459353602f
